<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.partisiablockchain.language</groupId>
  <artifactId>wasm-invoker</artifactId>
  <packaging>jar</packaging>
  <version>5.34.0</version>

  <licenses>
    <license>
      <name>AGPL-3.0-or-later</name>
      <url>https://www.gnu.org/licenses/agpl.txt</url>
      <distribution>repo</distribution>
    </license>
  </licenses>

  <repositories>
    <repository>
      <id>gitlab-partisiablockchain</id>
      <url>https://gitlab.com/api/v4/groups/12499775/-/packages/maven/</url>
    </repository>
  </repositories>

  <parent>
    <groupId>com.partisiablockchain.core</groupId>
    <artifactId>contract-pom</artifactId>
    <version>5.25.0</version>
  </parent>

  <dependencies>
    <dependency>
      <groupId>com.partisiablockchain.core</groupId>
      <artifactId>contract</artifactId>
      <version>5.26.0</version>
    </dependency>
    <dependency>
      <groupId>com.partisiablockchain.language</groupId>
      <artifactId>wasm-interpreter</artifactId>
      <version>5.24.0</version>
    </dependency>
    <dependency>
      <groupId>com.partisiablockchain.core</groupId>
      <artifactId>contract-test</artifactId>
      <version>5.34.0</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.mockito</groupId>
      <artifactId>mockito-core</artifactId>
      <scope>test</scope>
    </dependency>
  </dependencies>
</project>
